Fapi_ExportPolicy(3)

NAME
Fapi_ExportPolicy - Fapi_ExportPolicy

SYNOPSIS

  Functions

TSS2_RC Fapi_ExportPolicy (FAPI_CONTEXT *context, char const *path, char **jsonPolicy)
TSS2_RC Fapi_ExportPolicy_Async (FAPI_CONTEXT *context, char const *path)
TSS2_RC Fapi_ExportPolicy_Finish (FAPI_CONTEXT *context, char **jsonPolicy)

Detailed Description

FAPI functions to invoke ExportPolicy either as one-call or in an asynchronous manner.

Function Documentation

  TSS2_RC Fapi_ExportPolicy (FAPI_CONTEXT * context, char const * path, char ** jsonPolicy)
One-Call function for Fapi_ExportPolicy

Exports a policy to a JSON encoded byte buffer.

Parameters
    context The FAPI_CONTEXT
    path The path to the policy that is to be exported
    jsonPolicy The JSON-encoded policy. jsonPolicy MUST NOT be NULL.

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context, path or jsonPolicy is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not map to a FAPI policy.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.
    TSS2_FAPI_RC_TRY_AGAIN if an I/O operation is not finished yet and this function needs to be called again.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_ESYS_RC_* possible error codes of ESAPI.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

  TSS2_RC Fapi_ExportPolicy_Async (FAPI_CONTEXT * context, char const * path)
Asynchronous function for Fapi_ExportPolicy

Exports a policy to a JSON encoded byte buffer.

Call Fapi_ExportPolicy_Finish to finish the execution of this command.

Parameters
    context The FAPI_CONTEXT
    path The path to the policy that is to be exported

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or path is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_PATH if path does not map to a FAPI policy.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.

  TSS2_RC Fapi_ExportPolicy_Finish (FAPI_CONTEXT * context, char ** jsonPolicy)
Asynchronous finish function for Fapi_ExportPolicy

This function should be called after a previous Fapi_ExportPolicy_Async.

Parameters
    context The FAPI_CONTEXT
    jsonPolicy The JSON-encoded policy. jsonPolicy MUST NOT be NULL.

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context or jsonPolicy is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_TRY_AGAIN if the asynchronous operation is not yet complete. Call this function again later.
    TSS2_FAPI_RC_BAD_PATH if a path is used in inappropriate context or contains illegal characters.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_FAPI_RC_NOT_PROVISIONED FAPI was not provisioned.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.